Uploaded image for project: 'Moodle'
  1. Moodle
  2. MDL-44186

Cloning Clean theme triggered check_browser_version has been deprecated error

    XMLWordPrintable

    Details

    • Affected Branches:
      MOODLE_26_STABLE
    • Fixed Branches:
      MOODLE_26_STABLE

      Description

      It came to light in a forum post that when cloning Clean theme incorrectly, it triggered the following error, which is odd as it refers to Afterburner settings.php!

      check_browser_version has been deprecated, please update your code to use core_useragent instead.
       
          line 4579 of /lib/deprecatedlib.php: call to debugging()
          line 43 of /lib/editor/tinymce/lib.php: call to check_browser_version()
          line 164 of /lib/editorlib.php: call to tinymce_texteditor->supported_by_browser()
          line 2129 of /lib/adminlib.php: call to editors_head_setup()
          line 20 of /theme/afterburner/settings.php: call to admin_setting_confightmleditor->__construct()
          line 36 of /admin/settings/appearance.php: call to include()
          line 6387 of /lib/adminlib.php: call to require()
          line 534 of /admin/index.php: call to admin_get_root()

        Attachments

          Activity

            People

            Assignee:
            gb2048 Gareth J Barnard
            Reporter:
            lazydaisy Mary Evans
            Participants:
            Component watchers:
            Andrew Nicols, Jun Pataleta, Michael Hawkins, Shamim Rezaie, Simey Lameze, Bas Brands
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:
              Fix Release Date:
              18/Nov/13